NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.ElementRotateBuilder Class Reference

Represents a NXOpen.CAE.ElementRotateBuilder More...

Inheritance diagram for NXOpen.CAE.ElementRotateBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CopyType { RotateOnly, CopyRotate }
 the copy types More...
 
enum  DistanceType { PerCopy, Total }
 Distance - specify whether the translation distance is per copy or total More...
 
enum  ElemDimensionType { Any, Beam, Shell, Solid }
 Dimension of the elements to be created More...
 
enum  LabelType { Label, Offset }
 Option to use label/increment or offset More...
 
enum  MethodType { Component, Direction, ElemNormal, PointToPoint }
 Translation method More...
 
enum  NewMeshType { Create, Existing }
 Option to create a new mesh or add the new elements to an existing mesh More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the theta angle for translation in a cylindrical/spherical coordinate system More...
 
unsafe NXOpen.Axis Axis [get, set]
 Returns or sets the axis. More...
 
unsafe
NXOpen.CAE.ElementRotateBuilder.CopyType 
CopyOption [get, set]
 Returns or sets the copy option . More...
 
unsafe
NXOpen.CAE.ElementRotateBuilder.DistanceType 
DistanceCopyOption [get, set]
 Returns or sets the distance option More...
 
unsafe
NXOpen.CAE.ElementRotateBuilder.ElemDimensionType 
ElementDimension [get, set]
 Returns or sets the dimension of the elements to be rotated More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
ElementSelection [get]
 Returns the selected elements More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type builder. More...
 
unsafe int Increment [get, set]
 Returns or sets the increment in label for each new element More...
 
unsafe int Label [get, set]
 Returns or sets the start label for the new elements More...
 
unsafe
NXOpen.CAE.ElementRotateBuilder.LabelType 
LabelOption [get, set]
 Returns or sets the option to specify the start label and increment for the new elements OR specify an offset from the existing element labels More...
 
unsafe string MeshCollectorName [get, set]
 Returns or sets the name of the mesh collector which will hold the new elements More...
 
unsafe string MeshName [get, set]
 Returns or sets the name of the mesh that will hold the new elements More...
 
unsafe string NeutralName [get, set]
 Returns or sets the neutral name of the elements to be created More...
 
unsafe
NXOpen.CAE.ElementRotateBuilder.NewMeshType 
NewMeshOption [get, set]
 Returns or sets the option to create a new mesh or add the new elements to an existing mesh More...
 
unsafe int NumCopy [get, set]
 Returns or sets the number of copies to be created for each selected element More...
 
unsafe int Offset [get, set]
 Returns or sets the offset to be used to generate new element labels More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ElementRotateBuilder

To create a new instance of this class, use NXOpen.CAE.NodeElementManager.CreateElementRotateBuilder

Created in NX12.0.0

Member Enumeration Documentation

the copy types

Enumerator
RotateOnly 

rotate without copying elements

CopyRotate 

first copy elements then rotate the copies

Distance - specify whether the translation distance is per copy or total

Enumerator
PerCopy 

distance specified is for each copy

Total 

distance specified is total translation distance

Dimension of the elements to be created

Enumerator
Any 

any element can be selected

Beam 

only beam elements can be selected

Shell 

only shell elements can be selected

Solid 

only solid elements can be selected

Option to use label/increment or offset

Enumerator
Label 

specify start label and increment for new elements

Offset 

offset labels of selected element to get new labels

Translation method

Enumerator
Component 

translate by components

Direction 

translate along a vector

ElemNormal 

translate along element normal

PointToPoint 

translate by point to point

Option to create a new mesh or add the new elements to an existing mesh

Enumerator
Create 

create a new mesh

Existing 

add new elements to an existing mesh

Property Documentation

unsafe NXOpen.Expression NXOpen.CAE.ElementRotateBuilder.Angle
get

Returns the theta angle for translation in a cylindrical/spherical coordinate system

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Axis NXOpen.CAE.ElementRotateBuilder.Axis
getset

Returns or sets the axis.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementRotateBuilder.CopyType NXOpen.CAE.ElementRotateBuilder.CopyOption
getset

Returns or sets the copy option .

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementRotateBuilder.DistanceType NXOpen.CAE.ElementRotateBuilder.DistanceCopyOption
getset

Returns or sets the distance option

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementRotateBuilder.ElemDimensionType NXOpen.CAE.ElementRotateBuilder.ElementDimension
getset

Returns or sets the dimension of the elements to be rotated

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.ElementRotateBuilder.ElementSelection
get

Returns the selected elements

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.ElementRotateBuilder.ElementType
get

Returns the element type builder.

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementRotateBuilder.Increment
getset

Returns or sets the increment in label for each new element

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementRotateBuilder.Label
getset

Returns or sets the start label for the new elements

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementRotateBuilder.LabelType NXOpen.CAE.ElementRotateBuilder.LabelOption
getset

Returns or sets the option to specify the start label and increment for the new elements OR specify an offset from the existing element labels

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementRotateBuilder.MeshCollectorName
getset

Returns or sets the name of the mesh collector which will hold the new elements

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementRotateBuilder.MeshName
getset

Returns or sets the name of the mesh that will hold the new elements

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementRotateBuilder.NeutralName
getset

Returns or sets the neutral name of the elements to be created

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementRotateBuilder.NewMeshType NXOpen.CAE.ElementRotateBuilder.NewMeshOption
getset

Returns or sets the option to create a new mesh or add the new elements to an existing mesh

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementRotateBuilder.NumCopy
getset

Returns or sets the number of copies to be created for each selected element

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementRotateBuilder.Offset
getset

Returns or sets the offset to be used to generate new element labels

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.